local playModeToGraphic = {
	PlayMode_Regular = "_regular",
	PlayMode_Nonstop = "_nonstop",
	PlayMode_Oni = "_oni",
	-- endless, battle, rave
};
local playMode = GAMESTATE:GetPlayMode();

local t = Def.ActorFrame{
	LoadActor( playModeToGraphic[playMode] )..{
		InitCommand=cmd(Center;addx,-SCREEN_WIDTH);
		OnCommand=cmd(decelerate,0.5;addx,SCREEN_WIDTH);
		OffCommand=cmd(accelerate,0.5;addx,SCREEN_WIDTH);
	};
};

return t;